import Vue, { PluginFunction, PluginObject, VueConstructor } from 'vue';
import { IComponent } from './component';
import { IFilter } from './filter';
import { IPlugin } from './plugins';
import { IPrototype } from './prototype';
import { IRouter, RouteConfig, RouterOptions } from './router';
import { IStore, StoreOptions } from './store';
declare type IPluginObject<T> = PluginObject<T> | PluginFunction<T>;
export declare namespace Maintainer {
    interface IOption {
        showLogEnvs: string[];
        router?: {
            routes?: IRouter;
            fallback?: RouteConfig;
            option?: RouterOptions;
        };
        store?: {
            vuex: IPluginObject<any>;
            root: StoreOptions<any>;
            modules: IStore<any>;
        };
        plugins?: IPlugin<any>;
        serviceWorker?: {
            isRegister?: boolean;
            base?: string;
            file?: string;
        };
        prototype?: IPrototype;
        filter?: IFilter;
        component?: IComponent;
    }
    interface IBuildEnv {
        env: string;
        isLocal: boolean;
        isDev: boolean;
        isStage: boolean;
        isPreProduction: boolean;
        isProduction: boolean;
    }
    function initialize(vue: VueConstructor<Vue>, maintainerOption: IOption): {
        buildEnv: IBuildEnv;
        router: import("vue-router").default;
        store: any;
    };
    function getBuildEnv(): IBuildEnv;
}
export {};
