import Vue, { PluginFunction, PluginObject, VueConstructor } from 'vue';
import { StoreOptions } from 'vuex';
declare type IPluginObject<T> = PluginObject<T> | PluginFunction<T>;
export { StoreOptions } from 'vuex';
export interface IStoreData<S> {
    initialState: () => S;
    module: StoreOptions<S>;
}
export interface IStore<S> {
    [key: string]: IStoreData<S>;
}
export declare function initStore(vueConstructor: VueConstructor<Vue>, store: {
    vuex: IPluginObject<any>;
    root: StoreOptions<any>;
    modules: IStore<any>;
}): any;
